Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Do Not Disturb Settings for a Specific Conversation Type

Query the Do Not Disturb settings configured by a specific user (requestId) for a specified conversation type.

tip

This setting is user-level and has a higher priority. For the corresponding setting interface, see Set Do Not Disturb for a Specific Conversation Type.

Request Method

POST: https://data center domain/conversation/type/notification/get.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the signature rule. For details, see API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and it supports the following HTTP form parameters:

ParameterTypeRequiredDescription
conversationTypeStringYesThe conversation type. Supported conversation types include: 1 (one-to-one chat), 3 (group chat), 6 (system conversation), 10 (ultra group chat).
requestIdStringYesThe user ID of the user who set the Do Not Disturb settings.

Request Example

POST /conversation/type/notification/get.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

conversationType=2&requestId=b5NwvIrW8

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberThe return code, 200 indicates success.
isMutedInt
  • -1: Notify all messages
  • 0: Not set (if the user has not set this, it defaults to the group or app-level settings. If not set, all messages will be notified.)
  • 1: Notify only @ mentions
  • 2: Notify only @ specific users
  • 4: Notify only @ all group members
  • 5: Do not receive notifications

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200,"isMuted":2}